package components
{
	import flash.events.MouseEvent;
	
	import mx.controls.Image;
	
	import spark.components.TextInput;
	
	public class CTextInput_WithoutBindable extends TextInput
	{
		// SkinParts du composant
		[SkinPart(required="true")]
		public var btn:Image;
		
		private var _icon:String;		// Propriété source de l'image du SkinPart
		
		// Getters and Setters
		public function set icon(value:String):void
		{		
			if (_icon == value)
				return;
			_icon = value;
			
			if (btn)
				btn.source = _icon;
		}
		
		public function get icon():String
		{
			return _icon;
		}
		
		public function CTextInput_WithoutBindable()
		{
			super();
		}
		
		// Ajout les events listeners
		override protected function partAdded(partName:String,
											  instance:Object):void
		{
			super.partAdded(partName, instance);
			if (instance == btn)
			{
				btn.addEventListener(MouseEvent.CLICK, btnClick_handler);
				btn.source = icon;
			}
		}
		
		// Supprime les events listeners
		override protected function partRemoved(partName:String,
												instance:Object):void
		{
			super.partRemoved(partName, instance);
			if (instance == btn)
				btn.removeEventListener(MouseEvent.CLICK, btnClick_handler);
		}
		
		// Handler sur le bouton
		private function btnClick_handler(event : MouseEvent):void
		{
			this.textDisplay.text = "";
		}
	}
}